# applyCheckTrappedAbAttrs | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function applyCheckTrappedAbAttrs

- applyCheckTrappedAbAttrs(
  attrType: Constructor < CheckTrappedAbAttr >,
  pokemon: default ,
  trapped: BooleanHolder ,
  otherPokemon: default ,
  messages: string[],
  simulated?: boolean,
  ...args: any[],
  ): void

  #### Parameters

  - attrType: Constructor < CheckTrappedAbAttr >
  - pokemon: default
  - trapped: BooleanHolder
  - otherPokemon: default
  - messages: string[]
  - simulated: boolean = false
  - ...args: any[]

  #### Returns void

  - Defined in src/data/ability.ts:6135